Loading...
Searching...
No Matches
gsm0808_handover_complete Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

`#include <gsm0808.h>`

## Data Fields

bool | rr_cause_present
uint8_t | rr_cause
bool | speech_codec_chosen_present
struct gsm0808_speech_codec | speech_codec_chosen
struct gsm0808_speech_codec_list | codec_list_bss_supported
bool | chosen_encr_alg_present
uint8_t | chosen_encr_alg
bool | chosen_channel_present
uint8_t | chosen_channel
bool | lcls_bss_status_present
enum gsm0808_lcls_status | lcls_bss_status
bool | more_items

## Field Documentation

## chosen_channel

uint8_t gsm0808_handover_complete::chosen_channel

## chosen_channel_present

bool gsm0808_handover_complete::chosen_channel_present

## chosen_encr_alg

uint8_t gsm0808_handover_complete::chosen_encr_alg

## chosen_encr_alg_present

bool gsm0808_handover_complete::chosen_encr_alg_present

## codec_list_bss_supported

struct gsm0808_speech_codec_list gsm0808_handover_complete::codec_list_bss_supported

## lcls_bss_status

enum gsm0808_lcls_status gsm0808_handover_complete::lcls_bss_status

## lcls_bss_status_present

bool gsm0808_handover_complete::lcls_bss_status_present

## more_items

bool gsm0808_handover_complete::more_items

## rr_cause

uint8_t gsm0808_handover_complete::rr_cause

## rr_cause_present

bool gsm0808_handover_complete::rr_cause_present

## speech_codec_chosen

struct gsm0808_speech_codec gsm0808_handover_complete::speech_codec_chosen

## speech_codec_chosen_present

bool gsm0808_handover_complete::speech_codec_chosen_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h